Page MenuHomePhabricator

heptapod-ci: enable pytype checking
ClosedPublic

Authored by mharbison72 on Apr 18 2021, 1:36 AM.

Details

Summary

The trigger is manual for now, until we get a better idea about stability,
resource usage, etc.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mharbison72 created this revision.Apr 18 2021, 1:36 AM

Do you need help fixing the base CI image to get the right Python version?

The ci image is defined in this repository : https://foss.heptapod.net/octobus/ci-dockerfiles/

Docker file for the Mercurial CI is here: ci-mercurial-core/Dockerfile

contrib/heptapod-ci.yml
129

I would recommand starting with adding when: manual to this so that we can double check the impact and runtime before adding it to the default slow.

Do you need help fixing the base CI image to get the right Python version?

Probably. I know it’s just a matter of adding the right package reference to the Dockerfile, but what builds the image and puts it into the registry? A simple push?

mharbison72 added inline comments.Apr 20 2021, 9:48 AM
contrib/heptapod-ci.yml
129

Will do. Hopefully it can be changed to automatic on stable. For reference, it looks like it's slightly more expensive than a py2 test run: https://foss.heptapod.net/octobus/mercurial-devel/-/pipelines/20813

baymax edited the summary of this revision. (Show Details)Apr 20 2021, 3:38 PM
baymax updated this revision to Diff 27151.

✅ refresh by Heptapod after a successful CI run (🐙 💚)
⚠ This patch is intended for stable ⚠

Alphare accepted this revision.Apr 21 2021, 8:27 AM
This revision is now accepted and ready to land.Apr 21 2021, 8:27 AM

Now that the CI images are updated, I think this is ready to land.

pulkit accepted this revision.May 6 2021, 3:06 PM
This revision was automatically updated to reflect the committed changes.